Source: golang-golang-x-net
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.18~),
               golang-golang-x-crypto-dev (>= 0.25.0),
               golang-golang-x-sys-dev (>= 0.22.0),
               golang-golang-x-term-dev (>= 0.22.0),
               golang-golang-x-text-dev (>= 0.16.0),
               publicsuffix (>= 20230804.1533),
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-net
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-net.git
Homepage: https://golang.org/x/net
XS-Go-Import-Path: golang.org/x/net

Package: golang-golang-x-net-dev
Architecture: all
Multi-Arch: foreign
Built-Using: ${my:Built-Using}
Depends: golang-golang-x-crypto-dev (>= 0.25.0),
         golang-golang-x-sys-dev (>= 0.22.0),
         golang-golang-x-term-dev (>= 0.22.0),
         golang-golang-x-text-dev (>= 0.16.0),
         ${misc:Depends}
Description: Supplementary Go networking libraries
 Supplementary Go networking libraries (golang.org/x/net) not included in the
 main distribution:
 .
   - context: Package context defines the Context type, which carries
     deadlines, cancellation signals, and other request-scoped values across API
     boundaries and between processes.
   - dict: Package dict implements the Dictionary Server Protocol as defined in
     RFC 2229.
   - html: Package html implements an HTML5-compliant tokenizer and parser.
   - html/atom: Package atom provides integer codes (also known as atoms) for a
     fixed set of frequently occurring HTML strings: tag names and attribute
     keys such as "p" and "id".
   - html/charset: Package charset provides common text encodings for HTML
     documents.
   - icmp: Package icmp provides basic functions for the manipulation of
     messages used in the Internet Control Message Protocols, ICMPv4 and
     ICMPv6.
   - idna: Package idna implements IDNA2008 (Internationalized Domain Names for
     Applications), defined in RFC 5890, RFC 5891, RFC 5892, RFC 5893 and RFC
     5894.
   - internal/iana: Package iana provides protocol number resources managed by
     the Internet Assigned Numbers Authority (IANA).
   - internal/nettest: Package nettest provides utilities for IP testing.
   - ipv4: Package ipv4 implements IP-level socket options for the Internet
     Protocol version 4.
   - ipv6: Package ipv6 implements IP-level socket options for the Internet
     Protocol version 6.
   - netutil: Package netutil provides network utility functions, complementing
     the more common ones in the net package.
   - proxy: Package proxy provides support for a variety of protocols to proxy
     network data.
   - publicsuffix: Package publicsuffix provides a public suffix list based on
     data from http://publicsuffix.org/.
   - webdav: Package webdav.
   - websocket: Package websocket implements a client and server for the
     WebSocket protocol as specified in RFC 6455.
